List workspace references using opaque keyset pagination
curl --request GET \
--url https://api.refmatter.com/v1/references \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"workspaceId": "<string>",
"canonicalContentId": "<string>",
"sourceIngestionId": "<string>",
"platform": "youtube",
"canonicalUrl": "<string>",
"state": "processing",
"mediaAvailability": "processing",
"failureCode": "invalid_input",
"retryable": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"revision": 4503599627370495,
"sourceObserved": {
"observationId": "<string>",
"observedAt": "<string>",
"sourceTitle": "<string>",
"sourceDescription": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"publishedAt": "<string>",
"durationMs": 4503599627370495,
"viewCount": 4503599627370495,
"likeCount": 4503599627370495
},
"humanAuthored": {
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
},
"primaryMediaId": "<string>",
"posterMediaId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}references
List workspace references using opaque keyset pagination
GET
/
v1
/
references
List workspace references using opaque keyset pagination
curl --request GET \
--url https://api.refmatter.com/v1/references \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"workspaceId": "<string>",
"canonicalContentId": "<string>",
"sourceIngestionId": "<string>",
"platform": "youtube",
"canonicalUrl": "<string>",
"state": "processing",
"mediaAvailability": "processing",
"failureCode": "invalid_input",
"retryable": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"revision": 4503599627370495,
"sourceObserved": {
"observationId": "<string>",
"observedAt": "<string>",
"sourceTitle": "<string>",
"sourceDescription": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"publishedAt": "<string>",
"durationMs": 4503599627370495,
"viewCount": 4503599627370495,
"likeCount": 4503599627370495
},
"humanAuthored": {
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
},
"primaryMediaId": "<string>",
"posterMediaId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
bearerApiKeysessionCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque keyset cursor from a previous page
Page size, 1..100, default 30
Required range:
1 <= x <= 100Filter by reference state
Available options:
processing, ready, failed Filter by source platform
Available options:
youtube Filter by primary media kind
Available options:
video, audio, image, poster Inclusive lower creation bound (RFC 3339 UTC)
Exclusive upper creation bound (RFC 3339 UTC)